<?php

try {
	/*
	* All Data
	*/

	$_mobulePrefix = 'sizechart';


	$_attributes 	= array(
		'catalog_product' => array(
			'pl_size_chart',
		),
		'catalog_category' => array(
			'pl_size_chart',
		),
	);

	$_tables		= array(
		'pl_size_chart',
	);

	$_tablesFields = array();


	$_pathes = array(
		'/app/code/community/Plumrocket/SizeChart',
		'/app/etc/modules/Plumrocket_SizeChart.xml',

		'/app/design/frontend/base/default/layout/sizechart.xml',
		'/app/design/frontend/base/default/template/sizechart',

		'/app/design/adminhtml/default/default/layout/sizechart.xml',

		'/skin/frontend/base/default/css/plumrocket/sizechart',
		'/skin/frontend/base/default/js/plumrocket/sizechart',
		'/skin/frontend/base/default/images/plumrocket/sizechart',
	);

	$_cmsBlocks = array();

	/* end data */

	require_once('./app/Mage.php');
	umask(0);
	Mage::app('default');
	$resource = Mage::getSingleton("core/resource");
	$setup = new Mage_Eav_Model_Entity_Setup('core_setup');

	//remove attribute
	foreach($_attributes as $entityTypeName => $attributeNames){
		$entityTypeId = $setup->getEntityTypeId($entityTypeName);
		foreach($attributeNames as $attributeName){
			$setup->removeAttribute($entityTypeId, $attributeName);
		}
	}

	//remove tables
	foreach($_tables as $_tableName){
		$setup->run("DROP TABLE IF EXISTS `" . $resource->getTableName($_tableName) . "`;");
	}

	//remove tables fields
	foreach($_tablesFields as $_tableName => $_fields){
		foreach($_fields as $_field){
			try{
				$setup->run("ALTER TABLE `" . $resource->getTableName($_tableName) . "` DROP `" . $_field . "`;");
			} catch (Exception $e) {
				//echo '<b>' . $e->getMessage() . '</b><br/>';
			}
		}
	}

	//remove static blocks
	foreach($_cmsBlocks as $_identifier){
		$setup->run("DELETE FROM `" . $resource->getTableName('cms_block') . "` WHERE `identifier` = '".$_identifier."';");
	}

	//remove config
	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  '".$_mobulePrefix."/%'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = '".$_mobulePrefix."_setup'");



	$basePath = dirname(__FILE__);
	foreach ($_pathes as $path) {
		exec('rm -rf ' . $basePath . $path);
	}

	exec('rm -rf ' . $basePath . '/var/cache');
	Mage::app()->cleanCache();
} catch (Mage_Core_Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
} catch (Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
}
echo 'Success!';
?>
